import { Vector2 } from 'three/src/math/Vector2';
import { Vector3 } from 'three/src/math/Vector3';
import { Vector4 } from 'three/src/math/Vector4';
export declare class CoreType {
    static isNumber(value: any): value is number;
    static isVector(value: any): value is Vector2 | Vector3 | Vector4;
    static isString(value: any): value is string;
    static isBoolean(value: any): value is boolean;
    static isNaN(value: any): boolean;
    static isArray(value: any): value is any[];
}
